Skip to main content
POST
/
v3
/
gemini-3-pro-image-text-to-image
Nano Banana Pro Text to Image
curl --request POST \
  --url https://api.myrouter.ai/v3/gemini-3-pro-image-text-to-image \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "size": "<string>",
  "google": {
    "web_search": true
  },
  "prompt": "<string>",
  "aspect_ratio": "<string>",
  "output_format": "<string>"
}
'
import requests

url = "https://api.myrouter.ai/v3/gemini-3-pro-image-text-to-image"

payload = {
"size": "<string>",
"google": { "web_search": True },
"prompt": "<string>",
"aspect_ratio": "<string>",
"output_format": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
size: '<string>',
google: {web_search: true},
prompt: '<string>',
aspect_ratio: '<string>',
output_format: '<string>'
})
};

fetch('https://api.myrouter.ai/v3/gemini-3-pro-image-text-to-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "image_urls": [
    {}
  ],
  "grounding_metadata": {}
}
Gemini 3 Pro Image (Nano Banana Pro) is designed to tackle the most challenging image generation tasks by integrating state-of-the-art reasoning capabilities. It is the best model for complex and multi-turn image generation and editing, with higher accuracy and superior image quality. Supports configurable image size, aspect ratio, and output format.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format: Bearer {{API Key}}.

Request Body

size
string
default:"1K"
Output image pixel dimensions (width*height). 1K (1024px), 2K (2048px), 4K (4096px). Defaults to 1KPossible values: 1K, 2K, 4K
google
object
Google search options
prompt
string
required
Text prompt describing the image to generate
aspect_ratio
string
default:"1:1"
Aspect ratio of the generated imagePossible values: 1:1, 3:2, 2:3, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9
output_format
string
default:"image/png"
MIME type of the output image. Supports PNG, JPEG, and WebP formatsPossible values: image/png, image/jpeg, image/webp

Response

image_urls
array
required
List of generated image URLs
grounding_metadata
object
Model grounding metadata. Returned when Google server-side tools (e.g., search) are invoked. Note: tool invocation depends on Google. Enabling the parameter makes the tool available but does not guarantee 100% tool invocation.